
close all; 

load( 'th_rhs.mat' ); 
figure; 
mesh( X, Y, Fout.' ); xlabel( 'X' ); ylabel( 'Y' ); zlabel( 'Right Hand Side F' ); 
saveas( gcf, 'F.jpg', 'jpg' ); 

load( 'th_uapprox.mat' ); 
figure; mesh( X, Y, U_approx.' );
xlabel( 'X' ); ylabel( 'Y' ); zlabel( 'U_approx' ); 
mesh( X, Y, Fout.' ); xlabel( 'X' ); ylabel( 'Y' ); zlabel( 'Computed Solution U' ); 
title( 'Computed Solution' ); 
saveas( gcf, 'u_approx.jpg', 'jpg' ); 

load( 'th_true.mat' ); 
figure; 
mesh( X, Y, abs(U_true-U_approx).' ); 
xlabel( 'X' ); ylabel( 'Y' ); zlabel( 'U\_true-U\_approx' ); 
title( 'Error in approximation' ); 
saveas( gcf, 'error.jpg', 'jpg' ); 

mesh( X, Y, abs(U_true-Fout).' ); 